Name:           ocaml-vorbis
Version:        0.6.1
Release:        %mkrel 5
Summary:        Ocaml bindings to Ogg/Vorbis
License:        GPL
Group:          Development/OCaml
URL:            http://sourceforge.net/projects/savonet/files/
Source0:        http://downloads.sourceforge.net/savonet/ocaml-vorbis/ocaml-vorbis-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ogg-devel
BuildRequires:  libvorbis-devel
Requires:       libvorbis-devel
Requires:       ocaml-ogg

%description
This OCaml library interfaces the vorbis C library. It can be used to
decode from or encode to the Ogg Vorbis compressed audio format as well
as to get informations about an Ogg Vorbis file.

Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make all opt
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/vorbis
make install

%files
%doc CHANGES COPYING README
%dir %{_libdir}/ocaml/vorbis
%{_libdir}/ocaml/vorbis/META
%{_libdir}/ocaml/vorbis/*.cma
%{_libdir}/ocaml/vorbis/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%doc examples
%{_libdir}/ocaml/vorbis/*.a
%{_libdir}/ocaml/vorbis/*.cmxa
%{_libdir}/ocaml/vorbis/*.cmx
%{_libdir}/ocaml/vorbis/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-5.mga3
+ Revision: 361701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.1-4.mga3
+ Revision: 301574
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.6.1-3.mga3
+ Revision: 300510
- new rpm group for ocaml

* Sat Feb 18 2012 malo <malo> 0.6.1-2.mga2
+ Revision: 210409
- missing requires

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.6.1-1.mga2
+ Revision: 194058
- imported package ocaml-vorbis

